<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3

////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
	  <!-- Inicia Cuerpo de la Pantalla -->
		<?PHP
			//////Arrastrando campos
			$NoComplePG=$_POST['txt_NDOC'] or $NoComplePG=$_GET['txt_NDOC'];
			
			////Validar Campos en Blanco
			if ($NoComplePG=="")
			{ ////Inicia If General - Detección de Documento en blanco
			echo "<script>alert('Favor de Digitar el Numero de Documento a Recibir');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_RF1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			} ////Termina If General - Detección de Documento en blanco
			else
			{ ////Inicia Else If General - Detección de Documento en blanco
			
				////Identificar Datos Generales del Documento de Recibo
				$sqlIP1 = mysql_query("select * from tabla_documentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'");
				if (mysql_numrows($sqlIP1)==0) echo "";
				else{
				$registroIP1=mysql_fetch_array($sqlIP1);
				}
				if (mysql_numrows($sqlIP1)>0)
				{
				$NDocumentoIP1=$registroIP1["NO_DOCUMENTO"];
				$EdoDocIDR1=$registroIP1["ESTADO_DOCUMENTO"];
				$TiEntrIP1=$registroIP1["TIPODEINGRESO"];
				$VigeIDR1=$registroIP1["VIGENCIA"];
				}
				
				////Identificar El estado del Documento
				////if ($EdoDocIDR1<>"ASOCIADO" and $EdoDocIDR1<>"RECIBIENDO")
				if ($EdoDocIDR1<>"CREADO-CATEGORIZACION")
				{
					echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_RF1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de estado del Documento
				
					//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					$FechaLts=date("Ymd");
				
					////Identificar La caducidad de Documento
					if ($VigeIDR1<$Fecha)
					{
						echo "<script>alert('El Documento de Recibo ha Caducado.\\nFavor de Corroborarlo.'); </script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_RF1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
					}
					else
					{ //// Inicia If Valiador de Caducidad Documento
					
					////Identificar el Tipo de Recibo - Parametrizar sus reglas de Recibo
					$sqlIP2 = mysql_query("select * from wms_configura_tipoentrada where CVE_CUENTA='$CveCueCR1' AND CVE_TIPOENTRADA='$TiEntrIP1'");
					if (mysql_numrows($sqlIP2)==0) echo "";
					else{
					$registroIP2=mysql_fetch_array($sqlIP2);
					}
					if (mysql_numrows($sqlIP2)>0)
					{
					$TiPartIP2=$registroIP2["TIPOPARTIDA"];
					}
			
/////////++++++++++++++++++++++++++++ INICIA WHILE 1 - DETECCIÓN DE ERRORES ++++++++++++++++++++++++++++/////////
////Funcion que limpia variables del While 1
function Limpia_W1()
  {
    $SkuW1 = "";
	$ECaW1 = "";
	$CUbW1 = "";
	$CaXReciIP3 = "";
	$NoFactuIP3 = "";
	$DescProIP3 = "";
	$SkuAltIP4 = "";
	$CanRecPG = "";
	$LoteWmsPG = "";
	$CanRecPG = "";
  }

	$sqlW1 = "SELECT SKU,EDO_CALIDAD,ubicacion FROM tabla_detalledocumentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoComplePG' group by concat(sku,ubicacion) ORDER BY ID ASC";
	$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
	While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))/////INICIA WHILE 2
		 { ////Inicia While 1
			 
			 ////$CuentaRegTotal=$CuentaRegTotal+1;
			 
			 $SkuW1=$rowW1["SKU"];
			 $ECaW1=$rowW1["EDO_CALIDAD"];
			 $CUbW1=$rowW1["UBICACION"];
			 
			 ////Identificar el Detalle del Documento de Recibo
				$sqlIP3 = mysql_query("select CANT_XRECIBIR,NO_FACTURA,DESCRIPCION from tabla_detalledocumentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW1' AND EDO_CALIDAD='$ECaW1' AND UBICACION='$CUbW1'");
				if (mysql_numrows($sqlIP3)==0) echo "";
				else{
				$registroIP3=mysql_fetch_array($sqlIP3);
				}
				if (mysql_numrows($sqlIP3)>0)
				{
				$CaXReciIP3=$registroIP3["CANT_XRECIBIR"];
				$NoFactuIP3=$registroIP3["NO_FACTURA"];
				$DescProIP3=$registroIP3["DESCRIPCION"];
				}
				
				////Identificar Datos generales del Codigo SKU
				$sqlIP4 = mysql_query("select SKU_ALT from tabla_altaproducto where CUENTA='$CveCueCR1' AND SKU='$SkuW1'");
				if (mysql_numrows($sqlIP4)==0) echo "";
				else{
				$registroIP4=mysql_fetch_array($sqlIP4);
				}
				if (mysql_numrows($sqlIP4)>0)
				{
				$SkuAltIP4=$registroIP4["SKU_ALT"];
				}
				
				////Identificar los Lotes////
					///$LotePG = "L".$FechaLts;
					$LoteWmsPG = "LWMS".$FechaLts;
					///$LoteProPG = "LP".$FechaLts;
					
/////Sumar el total de piezas Auditadas en Recibo (NO APLICA)
$sum = mysql_query("SELECT SUM(PZAS) AS TOTAL FROM tabla_reciboxpreclasi WHERE SKU='$SkuW1' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS='PROCESADO' AND NO_DOCUMENTO='$NoComplePG' AND CALIDAD='$ECaW1'  AND CVE_UBICACION='$CUbW1'");
if(mysql_numrows($sum)>0){$sm = mysql_fetch_array($sum);$CanRecPG=$sm[0];}else{$CanRecPG=0;}
					
            /////xxxxxxx Tipos de Partida xxxxxxx/////
					
					////%%%%%%Tipo partida 1			
					if ($TiPartIP2=="PARTIDA IGUAL O MENOR")
					{ ////Inicia If Tipo Partida 1
						if ($CanRecPG > $CaXReciIP3)
						{ ///Inicia if Mayor que 1
							$ValError = "ERROR";
						}
						else
						{ ///Else if Mayor que 1
							$ValError = "SIN ERROR";
							$CuentaRegTotal=$CuentaRegTotal+1;	
						} ///Termina if Mayor que 1
						
					} ////Termina If Tipo Partida 1
					
		////------------------------------------------------------/////
					
					////%%%%%%Tipo partida 2
					if ($TiPartIP2=="PARTIDA A MAS")
					{ ////Inicia If Tipo Partida 2
							$ValError = "SIN ERROR";
							$CuentaRegTotal=$CuentaRegTotal+1;
					} ////Termina If Tipo Partida 2

			$CuentaRegExitosos=$CuentaRegExitosos+1;
			
			////Mandamos llamar a la funcion que limpia el While 1
			Limpia_W1();
			 
		 } ////Termina While 1	
		 
		 if ($CuentaRegExitosos<>$CuentaRegTotal)
				{ ///// Inicia If Validador de Proceso
					echo "<script>alert('El Tipo de Entrada que estas utilizando actualmente no permite recibir partidas mayores a la cantidad Detallada en el Documento de Recibo, Por tal motivo es imposible realizar esta acción.\\n\\nFavor de Corroborarlo o en su defecto ponte en contacto con el Administrador del Sistema para dar una solucion al problema.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_RF1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ///// Inicia Else Validador de Proceso

////------------------------------------------------------------

////Funcion que limpia variables del While 1
function Limpia_W2()
  {
    $SkuW2 = "";
	$ECaW2 = "";
	$CUbW2 = "";
	$CaXReciWF1 = "";
	$NoFactuWF1 = "";
	$DescProWF1 = "";
	$SkuAltWF2 = "";
	$PxCWF2 = "";
	$CxPWF2 = "";
	$DiCaduWF2 = "";
	$CaduSku = "";
	$CanRecWF1 = "";
	$LoteWmsWF1 = "";
  }						
			
////While que Guarda Registros Finales					
	$sqlW2 = "SELECT SKU,EDO_CALIDAD,UBICACION FROM tabla_detalledocumentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoComplePG' ORDER BY ID ASC";
	$resW2=mysql_query($sqlW2) or die('Error en la consulta: '.mysql_error());
	While($rowW2 = mysql_fetch_array($resW2,MYSQL_ASSOC))/////INICIA WHILE 2
		 { ////Inicia While 2					
		 
		 		$SkuW2=$rowW2["SKU"];
				$ECaW2=$rowW2["EDO_CALIDAD"];
				$CUbW2=$rowW2["UBICACION"];
			 
			 	////Identificar el Detalle del Documento de Recibo
				$sqlWF1 = mysql_query("select CANT_XRECIBIR,NO_FACTURA,DESCRIPCION from tabla_detalledocumentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2' AND EDO_CALIDAD='$ECaW2' AND UBICACION='$CUbW2'");
				if (mysql_numrows($sqlWF1)==0) echo "";
				else{
				$registroWF1=mysql_fetch_array($sqlWF1);
				}
				if (mysql_numrows($sqlWF1)>0)
				{
				$CaXReciWF1=$registroWF1["CANT_XRECIBIR"];
				$NoFactuWF1=$registroWF1["NO_FACTURA"];
				$DescProWF1=$registroWF1["DESCRIPCION"];
				}
				
				////Identificar Datos generales del Codigo SKU
				$sqlWF2 = mysql_query("select SKU_ALT,PZASXCAJA,CAJAXPALLET,DIASCADUCIDAD from tabla_altaproducto where CUENTA='$CveCueCR1' AND SKU='$SkuW2'");
				if (mysql_numrows($sqlWF2)==0) echo "";
				else{
				$registroWF2=mysql_fetch_array($sqlWF2);
				}
				if (mysql_numrows($sqlWF2)>0)
				{
				$SkuAltWF2=$registroWF2["SKU_ALT"];
				$PxCWF2=$registroWF2["PZASXCAJA"];
				$CxPWF2=$registroWF2["CAJAXPALLET"];
				$DiCaduWF2=$registroWF2["DIASCADUCIDAD"];
				}
				
				//////HORA y FECHA/////
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				/////Identificar la caducidad de Documento
						$CaduSku = strtotime ( '+'.$DiCaduWF2.' day' , strtotime ( $Fecha ) ) ;
						$CaduSku = date ( 'Y/m/d' , $CaduSku );

/////Sumar el total de piezas Auditadas en Recibo (NO APLICA)
$sum = mysql_query("SELECT SUM(PZAS) AS TOTAL FROM tabla_reciboxpreclasi WHERE SKU='$SkuW2' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS='PROCESADO' AND NO_DOCUMENTO='$NoComplePG' AND CALIDAD='$ECaW2' AND CVE_UBICACION='$CUbW2'");
if(mysql_numrows($sum)>0){$sm = mysql_fetch_array($sum);$CanRecWF1=$sm[0];}else{$CanRecWF1=0;}
				
				////Identificar los Lotes////
					///$LoteWF1 = "L".$FechaLts;
					$LoteWmsWF1 = "LWMS".$FechaLts;
					///$LoteProWF1 = "LP".$FechaLts;
					
					/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 1 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA IGUAL O MENOR")
					{ ////Inicia If Tipo Partida 1
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
							
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,EDO_CALIDAD,UBICACION,USUARIO_ALTA,HORA,FECHA)
			        values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW2','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','$LoteWF1','$LoteWmsWF1','$LoteProWF1','$CaduSku','$PxCWF2','$CxPWF2','$ECaW2','$CUbW2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2' AND EDO_CALIDAD='$ECaW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());					
				
					} ////Termina If Tipo Partida 1
					
					
					/////&&&&&&&&&&&&&&&&&&&&&& Inicia if Tipo Partida 2 &&&&&&&&&&&&&&&&&&&&&&/////	

				if ($TiPartIP2=="PARTIDA A MAS")
					{ ////Inicia If Tipo Partida 2
												
							/////Generar el ID del Folio de la tabla_recibo
							$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_recibo"; 
							$lib2 = mysql_query($sqlID2); 
							$rs_lib2 = mysql_fetch_assoc($lib2); 
							$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'] + 1;
							
							//////GUARDAR EL LA BD//////////
							$sqlGP = "insert into tabla_recibo (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,NO_FACTURA,CANT_XRECIBIR,CANT_RECIBIDA,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,PIEZASXCAJA,CAJASXPALLET,EDO_CALIDAD,UBICACION,USUARIO_ALTA,HORA,FECHA)
			        values('$id_nuevo2','$CveBodCR1','$CveCueCR1','$NDocumentoIP1','$NoComplePG','$SkuW2','$SkuAltWF2','$DescProWF1','$NoFactuWF1','$CaXReciWF1','$CanRecWF1','$LoteWF1','$LoteWmsWF1','$LoteProWF1','$CaduSku','$PxCWF2','$CxPWF2','$ECaW2','$CUbW2','$UsuEn','$HoraOK','$Fecha')";

							$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
					
							//////Guarda la Modificación del Estado del Documento
							$sqlME="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIENDO',HORA_RECI='$HoraOK',FECHA_RECI='$Fecha' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
							$resultadoME=mysql_query($sqlME,$conexion) or die(mysql_error());
							
							//////Guarda la Modificación del Estado de la Partida del Detalle
							$sqlME2="UPDATE tabla_detalledocumentos SET ESTATUS='PROCESADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG' AND SKU='$SkuW2' AND EDO_CALIDAD='$ECaW2'";
							$resultadoME2=mysql_query($sqlME2,$conexion) or die(mysql_error());
							
							$UPDT=mysql_query("DELETE FROM tabla_recibo WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1' AND (CANT_RECIBIDA IS NULL OR CANT_RECIBIDA  = '')");
						
					} ////Termina If Tipo Partida 2
					
					////Mandamos llamar a la funcion que limpia el While 1
					Limpia_W2();
					
				} ////Termina While 2
				
					//////Guarda la Modificación del Estado del Documento
					$sqlFER1="UPDATE tabla_documentos SET ESTADO_DOCUMENTO='RECIBIDO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoComplePG'";
					$resultadoFER1=mysql_query($sqlFER1,$conexion) or die(mysql_error());			
				
				///echo "RECIBO GENERAL PROCESADO CORRECTAMENTE"; --> En Alerta
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica_CR2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NoComplePG'>";
				
				} ///// Termina If Validador de Proceso
								
				
				
					} //// Termina If Valiador de Caducidad Documento
				} //// Termina If Valiador de estado del Documento
			}////Termina Else If General - Detección de Documento en blanco

		?>
      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>
